﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Configuration;

namespace InvoiceIntegration
{
    public partial class frmInvoice : Form
    {
        public frmInvoice()
        {
            InitializeComponent();
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            try
            {
                if (cbxSSL.Checked)
                {
                    ServicePointManager.Expect100Continue = true;
                    ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls
                                                           | SecurityProtocolType.Tls11
                                                           | SecurityProtocolType.Tls12
                                                           | SecurityProtocolType.Ssl3;
                }

                // Create a request using a URL that can receive a post.
                WebRequest request = WebRequest.Create("https://api-vinvoice.viettel.vn/auth/login");
                //WebRequest request = WebRequest.Create("http://10.255.63.201:8083/auth/login");
                request.Method = "POST";
                request.ContentType = "application/json";
                request.Timeout = 30000;

                if (cbxProxy.Checked)
                {
                    WebProxy proxy = new WebProxy(ConfigurationManager.AppSettings["ProxyIP"].ToString(), int.Parse(ConfigurationManager.AppSettings["ProxyPort"].ToString()));
                    request.Proxy = proxy;
                }

                using (var streamWriter = new StreamWriter(request.GetRequestStream()))
                {
                    string json = "{\"username\": \"0100109106-710\",\"password\": \"Odbc9779a@V\"}";
                    streamWriter.Write(json);
                    streamWriter.Flush();
                }

                WebResponse response = request.GetResponse();

                using (var streamReader = new StreamReader(response.GetResponseStream()))
                {
                    var result = streamReader.ReadToEnd();
                    //MessageBox.Show(result);
                }

                // Close the response.
                response.Close();
                MessageBox.Show("Đăng nhập thành công!");
            }
            catch (Exception exception)
            {
                MessageBox.Show("Có lỗi xảy ra " + exception.Message);
            }
        }

        private void cbxProxy_CheckedChanged(object sender, EventArgs e)
        {

        }
    }
}
